Uniform File Reference
`#include <osg/ref_ptr>`
`#include <osg/Array>`
`#include <osg/Callback>`
`#include <osg/Vec2>`
`#include <osg/Vec3>`
`#include <osg/Vec4>`
`#include <osg/Vec2d>`
`#include <osg/Vec3d>`
`#include <osg/Vec4d>`
`#include <osg/Matrix>`
`#include <osg/GLExtensions>`
`#include <string.h>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | osg::MatrixTemplate< T, RowN, ColN >
class | osg::Matrix2Template< T >
class | osg::Matrix2x3Template< T >
class | osg::Matrix2x4Template< T >
class | osg::Matrix3x2Template< T >
class | osg::Matrix3Template< T >
class | osg::Matrix3x4Template< T >
class | osg::Matrix4x2Template< T >
class | osg::Matrix4x3Template< T >
class | osg::Uniform

## Namespaces

namespace | osg

## Macros

#define | OSG_UNIFORM 1

## Typedefs

typedef Matrix2Template< float > | osg::Matrix2
typedef Matrix2x3Template< float > | osg::Matrix2x3
typedef Matrix2x4Template< float > | osg::Matrix2x4
typedef Matrix3x2Template< float > | osg::Matrix3x2
typedef Matrix3Template< float > | osg::Matrix3
typedef Matrix3x4Template< float > | osg::Matrix3x4
typedef Matrix4x2Template< float > | osg::Matrix4x2
typedef Matrix4x3Template< float > | osg::Matrix4x3
typedef Matrix2Template< double > | osg::Matrix2d
typedef Matrix2x3Template< double > | osg::Matrix2x3d
typedef Matrix2x4Template< double > | osg::Matrix2x4d
typedef Matrix3x2Template< double > | osg::Matrix3x2d
typedef Matrix3Template< double > | osg::Matrix3d
typedef Matrix3x4Template< double > | osg::Matrix3x4d
typedef Matrix4x2Template< double > | osg::Matrix4x2d
typedef Matrix4x3Template< double > | osg::Matrix4x3d

## Macro Definition Documentation

## OSG_UNIFORM

#define OSG_UNIFORM 1